diff install.bash @ 8:dbe18921f741

integration work on url scanner
author carl
date Thu, 22 Apr 2004 11:25:45 -0700
parents 793ac9cc114d
children 443aa0e8c6fa
line wrap: on
line diff
--- a/install.bash	Thu Apr 22 08:38:07 2004 -0700
+++ b/install.bash	Thu Apr 22 11:25:45 2004 -0700
@@ -11,8 +11,13 @@
 #####################
 # build the milter
 g++ -c dnsbl.cpp
+if [ $? -ne 0 ]; then
+    echo "compiler errors"
+    exit
+fi
 g++ -o dnsbl dnsbl.o /usr/lib/libresolv.a -lmilter -pthread
-if [ "$1" == "comp" ]; then
+if [ $? -ne 0 ]; then
+    echo "linker errors"
     exit
 fi